kind: Service
apiVersion: v1
metadata:
  name: agendamento-consulta-service
spec:
  selector:
    app: agendamento-consulta
  type: NodePort
  ports:
    - port: 8080
      protocol: TCP
      targetPort: 8080
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: agendamento-consulta
  labels:
    app: agendamento-consulta
spec:
  replicas: 1
  selector:
    matchLabels:
      app: agendamento-consulta
  template:
    metadata:
      labels:
        app: agendamento-consulta
    spec:
      containers:
        - name: agendamento-consulta
          image: registry.gitlab.com/villalabs/pucminas/arquitetura-software-distribuido/sasci/agendar-consultas:IMAGE_TAG
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
          envFrom:
            - secretRef:
                name: agendamento-consulta-secrets
          readinessProbe:
            httpGet:
              path: /agendamento-consulta/actuator/health
              port: 8080
            initialDelaySeconds: 80
            timeoutSeconds: 2
            periodSeconds: 3
            failureThreshold: 2
            successThreshold: 1
          livenessProbe:
            httpGet:
              path: /agendamento-consulta/actuator/health
              port: 8080
            initialDelaySeconds: 80
            timeoutSeconds: 2
            periodSeconds: 2
            failureThreshold: 1
            successThreshold: 1
          resources:
           limits:
             memory: 600Mi
             cpu: 500m
           requests:
             memory: 300Mi
             cpu: 300m
      imagePullSecrets:
        - name: registry.gitlab.com
---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: agendamento-consulta-ingress
  labels:
    app: agendamento-consulta
spec:
  rules:
    - http:
        paths:
          - path: /agendamento-consulta/*
            backend:
              serviceName: agendamento-consulta-service
              servicePort: 8080
